import type { ComponentType, SuspenseProps } from 'react';
export declare type DynamicComponent = () => Promise<{
    default: ComponentType;
}>;
export declare type MaybeDynamicComponent = DynamicComponent | ComponentType | JSX.Element;
export declare type DesignSwitchProps<TOn extends MaybeDynamicComponent, TOff extends MaybeDynamicComponent> = {
    fallback: SuspenseProps['fallback'];
    flag?: string;
    on: TOn;
    off: TOff;
};
