import { VisualLanguage, HUI_CLASS_PREFIX } from '../constants';
export interface UseVisualLanguageArgs {
    flag?: string;
    forceVisualLanguage?: VisualLanguage;
    visualLanguage?: VisualLanguage;
}
declare type LanguageClassname = undefined | `${typeof HUI_CLASS_PREFIX}-${VisualLanguage}`;
declare function useVisualLanguage({ flag, forceVisualLanguage, visualLanguage, }?: UseVisualLanguageArgs): {
    newDesignEnabled: boolean;
    newTokensEnabled: boolean;
    visualLanguageClassName: LanguageClassname;
};
export { useVisualLanguage };
